# Ödeme Sorgulama

Bu servis ile işlem durumu sorgulanabilmektedir

## POST /v1/softpos/check\_transaction

> Durum Sorgulama – check\_transaction

```json
{"openapi":"3.0.3","info":{"title":"PayPOS (Paynet) API","version":"1.0.0"},"tags":[{"name":"SoftPOS"}],"servers":[{"url":"https://api.paynet.com.tr","description":"Production"},{"url":"https://pts-api.paynet.com.tr","description":"Sandbox"}],"paths":{"/v1/softpos/check_transaction":{"post":{"summary":"Durum Sorgulama – check_transaction","tags":["SoftPOS"],"parameters":[{"name":"Session-Key","in":"header","required":true,"description":"Mobil oturum anahtarı","schema":{"type":"string"}},{"$ref":"#/components/parameters/ContentTypeHeader"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckTransactionRequest"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckTransactionResponse"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"parameters":{"ContentTypeHeader":{"name":"Content-Type","in":"header","required":true,"description":"İçerik tipi.","schema":{"type":"string"}}},"schemas":{"CheckTransactionRequest":{"type":"object","required":["payment_session_id"],"properties":{"payment_session_id":{"type":"string"}}},"CheckTransactionResponse":{"type":"object","properties":{"Data":{"type":"array","items":{"$ref":"#/components/schemas/Transaction"}},"object_name":{"type":"string"},"code":{"type":"integer"},"message":{"type":"string"}}},"Transaction":{"type":"object","properties":{"xact_id":{"type":"string","description":"İşlemin Id'sinin şifrelenmiş hali."},"xact_date":{"type":"string","description":"İşlem tarihi."},"transaction_type":{"type":"integer","description":"İşlem tipi."},"pos_type":{"type":"integer","description":"POS tipi."},"agent_id":{"type":"string","description":"Bayi Id."},"is_tds":{"type":"boolean","description":"TDS uygulanıyor mu?"},"bank_id":{"type":"string","description":"Banka kodu."},"instalment":{"type":"integer","description":"Taksit sayısı."},"card_no":{"type":"string","description":"Kart numarası."},"card_holder":{"type":"string","description":"Kart sahibi adı."},"card_type":{"type":"string","description":"Kart türü."},"ratio":{"type":"number","description":"Komisyon oranı."},"amount":{"type":"number","description":"İşlem tutarı."},"netAmount":{"type":"number","description":"Net tutar."},"comission":{"type":"number","description":"Komisyon tutarı."},"comission_tax":{"type":"number","description":"Komisyon vergisi."},"currency":{"type":"string","description":"Para birimi."},"authorization_code":{"type":"string","description":"Onay kodu."},"reference_code":{"type":"string","description":"Referans kodu."},"order_id":{"type":"string","description":"Sipariş numarası."},"is_succeed":{"type":"boolean","description":"İşlem başarılı mı?."},"xact_transaction_id":{"type":"string","description":"İşlem (transaction) ID’si."},"email":{"type":"string","description":"E-posta."},"phone":{"type":"string","description":"Telefon Numarası."},"note":{"type":"string","description":"Not."},"agent_reference":{"type":"string","description":"Bayi referans kodu."},"object_name":{"type":"string","description":"Obje türü."},"code":{"type":"integer","description":"Sonuç kodu."},"message":{"type":"string","description":"Sonuç mesajı."}}},"ErrorResponse":{"type":"object","properties":{"object_name":{"type":"string","description":"Obje türü."},"code":{"type":"integer","description":"Sonuç kodu."},"message":{"type":"string","description":"Sonuç mesajı."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/urunler/paypos-app2app/app2app-entegrasyonu/odeme-sorgulama.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
